<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.zcloud.modules.oa.dao.OaDepartmentDao">

	<select id="queryListParentId" resultType="com.zcloud.modules.oa.entity.OaDepartmentEntity">
		select * from oa_department where is_delete = 0 and parent_id = #{parentId}
		<if test="corpinfoId != null and corpinfoId != ''">
			and corpinfo_id = #{corpinfoId}
		</if>
        order by order_by asc
	</select>
</mapper>
